Home | All Classes | Grouped Classes | Index | Search

# CL_SoundProvider_Raw::CL_SoundProvider_Raw

Constructs a sound provider based on some raw PCM data.

    	CL_SoundProvider_Raw(
    		void* sound_data, int num_samples, int bytes_per_sample, bool stereo, int frequency = 22050);

Parameters:

sound_data
  Raw PCM data.
num_samples
  Number of samples to be read out of sound_data.
bytes_per_sample
  The size of a sample in bytes. This is 2 for 16 bit, and 1 for 8 bit.
stereo
  True if sound is stereo (two channels).
frequency
  Playback frequency for sample data.

See also:

CL_Sound | CL_SoundProvider | CL_SoundProvider_Raw

Questions or comments, write to the ClanLib mailing list.